﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace YT_CS_WPF_UserControl_DepProp_Teil3
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ObservableCollection<Artikel> alle = new ObservableCollection<Artikel>
        {
            new Artikel{Bezeichnung="Hose", Preis = 23.45},
            new Artikel{Bezeichnung="Federboa", Preis = 19.99}
        };
        ObservableCollection<Artikel> wahl = new ObservableCollection<Artikel>();
        public MainWindow()
        {
            InitializeComponent();
            Alle.DataContext = alle;
            Wahl.DataContext = wahl; 
        }

        private void ControlArtikel_OnAdd(Artikel item)
        {
            wahl.Add(item);
            alle.Remove(item);
        }
    }
}
