﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace YT_CS_WPF_UserControl_DepProp_Teil3
{
    public class Artikel:INotifyPropertyChanged
    {
        public string Bezeichnung { get; set; }
        public double Preis { get; set; }

        private int _anzahl; 
        public int Anzahl
        {
            get
            {
                return _anzahl;
            }
            set
            {
                _anzahl = value;
                PropertyChanged?.Invoke(this, new PropertyChangedEventArgs("Gesamt"));
            }
        }
        public double Gesamt { get { return Preis * Anzahl;  } }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
